Directory Tenants - Get
Ada göre bir dizin kiracısı alın.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
Kaynağın altında bulunduğu kaynak grubu. |
|
subscription
|
path | True |
string |
Microsoft Azure aboneliğini benzersiz olarak tanımlayan abonelik kimlik bilgileri. Abonelik kimliği, her hizmet çağrısı için URI'nin bir parçasını oluşturur. |
|
tenant
|
path | True |
string |
Dizin kiracı adı. |
|
api-version
|
query | True |
string |
İstemci Api Sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Tamam |
|
| Other Status Codes |
Beklenmeyen Hata |
Güvenlik
azure_auth
Azure Active Directory OAuth2 akışı
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Get a directory tenant by name.
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01
Örnek yanıt
{
"id": "/subscriptions/8ab2551d-41e5-489b-9273-1cdf1cbc7dc6/resourceGroups/System.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com",
"name": "azurestackci07.onmicrosoft.com",
"type": "Microsoft.Subscriptions.Admin/directoryTenants",
"location": "local",
"properties": {
"tenantId": "2b3697e6-a7a2-4cdd-a3d4-f4ef6505cd4f"
}
}
Tanımlar
| Name | Description |
|---|---|
|
Directory |
Dizin kiracısı. |
| Error |
Hata yanıtı. |
|
Error |
Hata tanımı. |
DirectoryTenant
Dizin kiracısı.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynağın URI'sini seçin. |
| location |
string |
Kaynağın konumu |
| name |
string |
Kaynağın adı. |
| properties.tenantId |
string |
Kiracı benzersiz tanımlayıcısı. |
| tags |
object |
Anahtar-değer çiftlerinin listesi. |
| type |
string |
Kaynak türü. |
Error
Hata yanıtı.
| Name | Tür | Description |
|---|---|---|
| error |
Hata ayrıntıları. |
ErrorDefinition
Hata tanımı.
| Name | Tür | Description |
|---|---|---|
| code |
string |
HTTP hata kodu için alt durum olarak hizmet veren hizmete özgü hata kodu. |
| details |
İç hata ayrıntıları. |
|
| message |
string |
Hatanın açıklaması. |